Bug 1540020 - Compatibility with OpenSSL 1.1
Summary: Compatibility with OpenSSL 1.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uw-imap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1539799
TreeView+ depends on / blocked
 
Reported: 2018-01-30 05:45 UTC by Remi Collet
Modified: 2018-02-14 17:27 UTC (History)
3 users (show)

Fixed In Version: uw-imap-2007f-18.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-14 17:27:44 UTC


Attachments (Terms of Use)
0001-fix-compatibility-with-OpenSSL-1.1-rhbz-1540020.patch (4.28 KB, patch)
2018-01-30 12:22 UTC, Remi Collet
no flags Details | Diff
0001-fix-compatibility-with-OpenSSL-1.1-rhbz-1540020.patch (4.28 KB, patch)
2018-01-30 12:27 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2018-01-30 05:45:43 UTC
For now, this package still use compat-openssl10

This may raise strange issue when a application pulls both openssl 1.0 and 1.1

Exemple, php-imap (requires libc-client.so.2007, so libcrypto.so.10)

I think this explain #1539799

Comment 1 Remi Collet 2018-01-30 11:11:46 UTC
It looks like debian have a patch for OpenSSL 1.1

https://anonscm.debian.org/cgit/collab-maint/uw-imap.git/plain/debian/patches/1006_openssl1.1_autoverify.patch

Comment 2 Remi Collet 2018-01-30 12:22:24 UTC
Created attachment 1388346 [details]
0001-fix-compatibility-with-OpenSSL-1.1-rhbz-1540020.patch

git format patch (for git am)

Comment 3 Remi Collet 2018-01-30 12:27:35 UTC
Created attachment 1388349 [details]
0001-fix-compatibility-with-OpenSSL-1.1-rhbz-1540020.patch

Comment 4 Remi Collet 2018-01-31 11:37:22 UTC
Going to push this in F27+

Comment 5 Fedora Update System 2018-01-31 11:44:34 UTC
uw-imap-2007f-18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8ce4f472c

Comment 6 Fedora Update System 2018-01-31 22:46:36 UTC
uw-imap-2007f-18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8ce4f472c

Comment 7 Fedora Update System 2018-02-14 17:27:44 UTC
uw-imap-2007f-18.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.